<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZOrderDetailSF2EditViewBase from './ibizorder-detail-sf2-edit-view-base.vue';

import view_form from '@widgets/ibizorder-detail/main3-form/main3-form.vue';
// 基于 @VIEW/@MACRO/VIEW.vue.ftl 生成
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZOrderDetailSF2EditView extends IBIZOrderDetailSF2EditViewBase {

}
</script>